
package com.tmerclub.cloud.common.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;


/**
 * 父级分类信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public class ParentCategoryVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "父ID")
    private Long parentId;

    @Schema(description = "分类名称")
    private String name;

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "CategoryVO{" +
                "categoryId=" + categoryId +
                ", parentId=" + parentId +
                ", name='" + name + '\'' +
                '}';
    }
}
